# Class ShutdownServerClient

#### Hierarchy

- ShutdownServerClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:2641

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorStop
options_

### Methods

stop

## Constructors

### constructor

- new ShutdownServerClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): ShutdownServerClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns ShutdownServerClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2647

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2642

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2644

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2643

### methodDescriptorStop

methodDescriptorStop: MethodDescriptor<StopRequest, StopReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2660

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2645

## Methods

### stop

- stop(request: StopRequest, metadata?: null | Metadata): Promise<StopReply>

- #### Parameters

  - ##### request: StopRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<StopReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2671
- stop(request: StopRequest, metadata: null | Metadata, callback: ((err: RpcError, response: StopReply) => void)): ClientReadableStream<StopReply>

- #### Parameters

  - ##### request: StopRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: StopReply) => void)

    - - (err: RpcError, response: StopReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopReply

        #### Returns void

  #### Returns ClientReadableStream<StopReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:2675

Generated using TypeDoc